Subject: bug#28242: Batch mode compiling: Error messages are displayed with "invalid character" glyph bounding symbols.

From: Paul Eggert <[email-masked]>
Date: Sun, 27 Aug 2017 01:16:45 -0700

What happens if you run the following shell commands?

echo invalid program >t.c
gcc t.c

On my machine GCC outputs diagnostics with curved quotes, like this:

t.c:1:1: error: unknown type name ‘invalid’
...

What do you see on your console? If you see solid squares or other glitches 
rather than curved quotes, then the problem is not specific to Emacs.

> On my new PC (Gentoo GNU/Linux), byte compiling in batch mode (e.g. with
> make bootstrap in the master branch) is displaying warning messages with
> symbols "quoted" by the invalid character glyph (a solid square) rather
> than ` and '.
...
> My one theory is that the designer of the font
> decided to use a long diagonal line rather than a reversed comma shape
> for grave (`),

These two passages seem inconsistent. One says you’re seeing a solid square; the 
other a long diagonal line.

For what it’s worth, I don’t observe the problem on my Ubuntu 16.04.3 LTS 
console. I see curved quotes. I don’t remember doing anything to configure my 
console. Here is my /etc/default/console-setup file: it may help you to set up 
your computer. On Ubuntu, the command ‘sudo dpkg-reconfigure console-setup’ 
configures this file.

# CONFIGURATION FILE FOR SETUPCON

# Consult the console-setup(5) manual page.

ACTIVE_CONSOLES="/dev/tty[1-6]"

CHARMAP="UTF-8"

CODESET="guess"
FONTFACE="Fixed"
FONTSIZE="8x16"

VIDEOMODE=

# The following is an example how to use a braille font
# FONT='lat9w-08.psf.gz brl-8x8.psf'